Endpoint
DELETE https://api.stepfun.ai/v1/files/{file_id}
Path parameters
file_idstringrequired
Unique file ID.
Response
Returns the deleted File object.Example
- python
- js
- curl
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
🎉 New model Step 3.7 Flash is now live — a high-efficiency Flash model for real-world Agent / Coding / multimodal workflows. Learn more →
DELETE https://api.stepfun.ai/v1/files/{file_id}
file_id string required
from openai import OpenAI
client = OpenAI(api_key="STEP_API_KEY", base_url="https://api.stepfun.ai/v1")
print(client.files.delete("file-stepabc"))
import OpenAI from "openai";
const openai = new OpenAI({
apiKey: "STEP_API_KEY",
baseURL: "https://api.stepfun.ai/v1"
});
async function main() {
const file = await openai.files.del("file-stepabc");
console.log(file);
}
main();
curl https://api.stepfun.ai/v1/files/file-abc123 \
-X DELETE \
-H "Authorization: Bearer $STEP_API_KEY"
{
"id": "file-stepabc",
"object": "file",
"deleted": true
}
Was this page helpful?